curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiser_ids": [
"<string>"
],
"target": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"priority": 123,
"postback_url": "<string>",
"pingback_url": "<string>",
"postback_data": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post"
payload = {
"advertiser_ids": ["<string>"],
"target": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"priority": 123,
"postback_url": "<string>",
"pingback_url": "<string>",
"postback_data": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
advertiser_ids: ['<string>'],
target: '<string>',
location_name: '<string>',
location_code: 123,
location_coordinate: '<string>',
priority: 123,
postback_url: '<string>',
pingback_url: '<string>',
postback_data: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
"<string>"
],
"tasks[].id": "<string>",
"tasks[].status_code": 123,
"tasks[].status_message": "<string>",
"tasks[].cost": 123,
"tasks[].result_count": 123
}Setting Google Ads Search SERP Tasks
Setting Google Ads Search SERP Tasks.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Advertiser identifiers; required if target is not specified
Domain name associated with an advertiser account; required if advertiser_ids is not specified
Full name of search engine location
Search engine location code
GPS coordinates of a location
Task priority
URL for sending task results
Notification URL of a completed task
Postback datatype; only advanced is supported
Response
Successful response
The current version of the API
General status code
General informational message
Execution time, seconds
Total tasks cost, USD
The number of tasks in the tasks array
The number of tasks in the tasks array returned with an error
Array of task objects
Task identifier in UUID format
Task status code
Task status message
Cost of the task, USD
Number of elements in the result array